#ifndef News_H
#define News_H

#include <KSGScript.h>
#include <Animation.h>
#include <Thread.h>
#include <Klient.h>
#include <KSGNetwork.h>

using namespace Framework;
using namespace KSGScript;
using namespace Network;

class News : private Thread
{
private:
	KSGScriptObj *frame;
	HMODULE ksgsDll;
	Text *scriptName;
	Animation2D *laden;
	Bildschirm *screen;
	TextFeld *fehler;
	Schrift *schrift;
    KSGClient::NewsServerClient *client;
	int ref;

public:
	// Konstruktor
	News( Bildschirm *zB, Schrift *zS, KSGClient::NewsServerClient *client );
	// Destruktor
	~News();
	// nicht constant
	void rückruf( RCArray< KSGSVariable > *parameter, KSGSVariable **ret );
	void thread();
	// Reference Counting
	News *getThis();
	News *release();
};

#endif